summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--python/netlib/README6
-rw-r--r--python/netlib/netlib.SlackBuild85
-rw-r--r--python/netlib/netlib.info10
-rw-r--r--python/netlib/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/python/netlib/README b/python/netlib/README
new file mode 100644
index 0000000000..3ba663a6f3
--- /dev/null
+++ b/python/netlib/README
@@ -0,0 +1,6 @@
+Netlib is a collection of network utility classes, used by the pathod
+and mitmproxy projects. It differs from other projects in some
+fundamental respects, because both pathod and mitmproxy often need to
+violate standards. This means that protocols are implemented as small,
+well-contained and flexible functions, and are designed to allow
+misbehaviour when needed.
diff --git a/python/netlib/netlib.SlackBuild b/python/netlib/netlib.SlackBuild
new file mode 100644
index 0000000000..115105bf32
--- /dev/null
+++ b/python/netlib/netlib.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for netlib
+
+# Copyright 2015 Brenton Earl <brent@exitstatusone.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=netlib
+VERSION=${VERSION:-0.14.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.mkd PKG-INFO LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/netlib/netlib.info b/python/netlib/netlib.info
new file mode 100644
index 0000000000..0ce7bdd829
--- /dev/null
+++ b/python/netlib/netlib.info
@@ -0,0 +1,10 @@
+PRGNAM="netlib"
+VERSION="0.14.0"
+HOMEPAGE="https://mitmproxy.org/"
+DOWNLOAD="https://mitmproxy.org/download/netlib-0.14.0.tar.gz"
+MD5SUM="2210333803a8549a2d858d98d9402d0c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pyOpenSSL passlib hpack python-certifi backports-ssl-match-hostname"
+MAINTAINER="Brenton Earl"
+EMAIL="brent@exitstatusone.com"
diff --git a/python/netlib/slack-desc b/python/netlib/slack-desc
new file mode 100644
index 0000000000..9a6b02e4c8
--- /dev/null
+++ b/python/netlib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+netlib: netlib (Network utilities used by pathod and mitmproxy)
+netlib:
+netlib: Netlib is a collection of network utility classes, used by the
+netlib: pathod and mitmproxy projects. It differs from other projects in
+netlib: some fundamental respects, because both pathod and mitmproxy often
+netlib: need to violate standards. This means that protocols are implemented
+netlib: as small, well-contained and flexible functions, and are designed to
+netlib: allow misbehaviour when needed.
+netlib:
+netlib: Home page: https://mitmproxy.org/
+netlib: